Commit fde08992 authored by Brandon Holtsclaw's avatar Brandon Holtsclaw Committed by Joao Eriberto Mota Filho

Imported Debian patch 0.4.0.dfsg.1-2

parent e725765c
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
......@@ -414,7 +414,7 @@ AC_ARG_ENABLE([gforce],
AS_HELP_STRING([--disable-gforce],
[Do not build the G-Force plugin @<:@default=enabled@:>@]),
[ENABLE_GFORCE=$enableval],
[ENABLE_GFORCE=no])
[ENABLE_GFORCE=yes])
if test "$ENABLE_GFORCE" = "yes"; then
build_actor_plugins="$build_actor_plugins G-Force"
......@@ -558,6 +558,28 @@ AC_CONFIG_FILES([
plugins/actor/nastyfft/Makefile
plugins/actor/oinksie/Makefile
plugins/actor/pseudotoad_flower/Makefile
plugins/actor/G-Force/Makefile
plugins/actor/G-Force/docs/Makefile
plugins/actor/G-Force/Common/Makefile
plugins/actor/G-Force/Common/GeneralTools/Makefile
plugins/actor/G-Force/Common/GeneralTools/Headers/Makefile
plugins/actor/G-Force/Common/io/Makefile
plugins/actor/G-Force/Common/io/Headers/Makefile
plugins/actor/G-Force/Common/math/Makefile
plugins/actor/G-Force/Common/math/Headers/Makefile
plugins/actor/G-Force/Common/UI/Makefile
plugins/actor/G-Force/Common/UI/Headers/Makefile
plugins/actor/G-Force/GForceCommon/Makefile
plugins/actor/G-Force/GForceCommon/Headers/Makefile
plugins/actor/G-Force/unix/Makefile
plugins/actor/G-Force/unix/Headers/Makefile
plugins/actor/G-Force/unix/libmfl/Makefile
plugins/actor/G-Force/unix/libvisual/Makefile
plugins/actor/G-Force/GForceColorMaps/Makefile
plugins/actor/G-Force/GForceDeltaFields/Makefile
plugins/actor/G-Force/GForceParticles/Makefile
plugins/actor/G-Force/GForceWaveShapes/Makefile
plugins/actor/G-Force/NotWorkingWaveShapes/Makefile
plugins/input/Makefile
plugins/input/esd/Makefile
plugins/input/alsa/Makefile
......
libvisual-plugins (0.4.0.dfsg.1-2) unstable; urgency=low
* Merged Ubuntu Changes
* Remove libasound-dev from build dep on KFreeBSD-amd64 and
hurd-i386 (Closes: #451112)
* debian/patches/02_64-bit_JESS_fix.patch (Closes: #400810) applied
from -1ubuntu3 merge
* Changed Maintainer (Closes: #451213)
-- Brandon Holtsclaw <brandon@imbrandon.com> Fri, 23 Nov 2007 07:31:40 +0000
libvisual-plugins (0.4.0.dfsg.1-1ubuntu3) gutsy; urgency=low
[ Richard James Edmands ]
[Patches by David Leverton]
* debian/patches/02_64-bit_JESS_fix.patch:
- Fix a crasher with JESS on 64-bit (LP: #103393, LP: #109409, LP: #85163)
* debian/patches/03_build_against_gl_fixes.patch:
- Fixes the makefiles to make sure GL visualizations get built against libGL
(LP: #115502)
* debian/patches/04_lv_analyzer_build_fix.patch:
- Fixes configure so that lv_analyzer actually gets built
[Richard Edmands]
* debian/patches/01_disable-gforce-dfsg.patch:
- Converted the old g-force disable change to a patch
* debian/patches/05_fix_po.patch:
- Fixed so translations work properly
* debian/rules:
- Disabling gdkpixbuf plugin as it is just a blank visualization
- Enable Debugging (LP: #150781)
* debian/control:
- Bumped Standards version to 3.7.2
- Remove build-dep on libgdk-pixbuf-dev as it is no longer needed
[ Christopher James Halse Rogers ]
* debian/90_autoreconf:
- Run autoreconf to activate the build-system fixes.
- Move all of Debian's auto* changes from the .diff.gz to this patch.
* By combined power of above, close (LP: #123934). Thanks very much for your
work!
-- Christopher James Halse Rogers <raof@ubuntu.com> Wed, 10 Oct 2007 22:00:24 +1000
libvisual-plugins (0.4.0.dfsg.1-1ubuntu2) gutsy; urgency=low
* debian/control: Update maintainer fields according to debian-
maintainer-field spec.
-- Martin Pitt <martin.pitt@ubuntu.com> Wed, 15 Aug 2007 08:07:55 +0000
libvisual-plugins (0.4.0.dfsg.1-1ubuntu1) edgy; urgency=low
* Sync with Debian
* debian/control:
+ Change x11proto-gl-dev Build-Depends to libgl1-mesa-dev and
libglu1-mesa-dev
+ Add Replaces/Conflicts on libvisual0.4-plugins
-- Sebastian Dröge <slomo@ubuntu.com> Sat, 29 Jul 2006 15:26:31 +0200
libvisual-plugins (0.4.0.dfsg.1-1) unstable; urgency=low
* New upstream release.
......
Source: libvisual-plugins
Section: sound
Priority: optional
Maintainer: David Schleef <ds@schleef.org>
Build-Depends: cdbs, debhelper, libvisual-0.4-dev, chrpath, libesd0-dev, libjack0.100.0-dev, libgdk-pixbuf-dev, libgtk2.0-dev, xutils, x-dev, libx11-dev, x11proto-gl-dev, libxxf86vm-dev, x11proto-gl-dev, libasound2-dev [!kfreebsd-i386], bison
Standards-Version: 3.5.6
Maintainer: Brandon Holtsclaw <brandon@imbrandon.com>
Build-Depends: cdbs, debhelper, libvisual-0.4-dev, chrpath, libesd0-dev, libjack0.100.0-dev, libgtk2.0-dev, xutils, x-dev, libx11-dev, libgl1-mesa-dev, libxxf86vm-dev, libglu1-mesa-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], bison
Standards-Version: 3.7.2
Package: libvisual-0.4-plugins
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libvisual0.4-plugins
Replaces: libvisual0.4-plugins
Description: Audio visualization framework plugins
Plugins for the libvisual audio visualization framework.
diff -Nur libvisual-plugins-0.4.0/configure.ac libvisual-plugins-0.4.0.new/configure.ac
--- libvisual-plugins-0.4.0/configure.ac 2006-03-17 03:50:41.000000000 +1100
+++ libvisual-plugins-0.4.0.new/configure.ac 2007-07-04 18:01:57.000000000 +1000
@@ -414,7 +414,7 @@
AS_HELP_STRING([--disable-gforce],
[Do not build the G-Force plugin @<:@default=enabled@:>@]),
[ENABLE_GFORCE=$enableval],
- [ENABLE_GFORCE=yes])
+ [ENABLE_GFORCE=no])
if test "$ENABLE_GFORCE" = "yes"; then
build_actor_plugins="$build_actor_plugins G-Force"
@@ -558,28 +558,6 @@
plugins/actor/nastyfft/Makefile
plugins/actor/oinksie/Makefile
plugins/actor/pseudotoad_flower/Makefile
- plugins/actor/G-Force/Makefile
- plugins/actor/G-Force/docs/Makefile
- plugins/actor/G-Force/Common/Makefile
- plugins/actor/G-Force/Common/GeneralTools/Makefile
- plugins/actor/G-Force/Common/GeneralTools/Headers/Makefile
- plugins/actor/G-Force/Common/io/Makefile
- plugins/actor/G-Force/Common/io/Headers/Makefile
- plugins/actor/G-Force/Common/math/Makefile
- plugins/actor/G-Force/Common/math/Headers/Makefile
- plugins/actor/G-Force/Common/UI/Makefile
- plugins/actor/G-Force/Common/UI/Headers/Makefile
- plugins/actor/G-Force/GForceCommon/Makefile
- plugins/actor/G-Force/GForceCommon/Headers/Makefile
- plugins/actor/G-Force/unix/Makefile
- plugins/actor/G-Force/unix/Headers/Makefile
- plugins/actor/G-Force/unix/libmfl/Makefile
- plugins/actor/G-Force/unix/libvisual/Makefile
- plugins/actor/G-Force/GForceColorMaps/Makefile
- plugins/actor/G-Force/GForceDeltaFields/Makefile
- plugins/actor/G-Force/GForceParticles/Makefile
- plugins/actor/G-Force/GForceWaveShapes/Makefile
- plugins/actor/G-Force/NotWorkingWaveShapes/Makefile
plugins/input/Makefile
plugins/input/esd/Makefile
plugins/input/alsa/Makefile
diff -Nur libvisual-plugins-0.4.0/plugins/actor/Makefile.am libvisual-plugins-0.4.0.new/plugins/actor/Makefile.am
--- libvisual-plugins-0.4.0/plugins/actor/Makefile.am 2006-03-17 03:50:41.000000000 +1100
+++ libvisual-plugins-0.4.0.new/plugins/actor/Makefile.am 2007-07-04 18:02:30.000000000 +1000
@@ -4,7 +4,6 @@
DIST_SUBDIRS = \
bumpscope \
corona \
- G-Force \
gdkpixbuf \
gstreamer \
infinite \
diff -Nur libvisual-plugins-0.4.0/plugins/actor/JESS/renderer.c libvisual-plugins-0.4.0.new/plugins/actor/JESS/renderer.c
--- libvisual-plugins-0.4.0/plugins/actor/JESS/renderer.c 2006-02-06 05:47:26.000000000 +1100
+++ libvisual-plugins-0.4.0.new/plugins/actor/JESS/renderer.c 2007-07-04 18:12:58.000000000 +1000
@@ -282,7 +282,7 @@
void render_deformation(JessPrivate *priv, int defmode)
{
- uint32_t bmax;
+ intptr_t bmax;
uint32_t *tab1 = NULL, *tab2, *tab3, *tab4, i;
uint8_t *pix = priv->pixel, *buf = priv->buffer, *aux;
@@ -294,7 +294,7 @@
tab2 = priv->table2;
tab3 = priv->table3;
tab4 = priv->table4;
- bmax = priv->resx * priv->resy + (uint32_t) priv->pixel;
+ bmax = priv->resx * priv->resy + (intptr_t) priv->pixel;
switch(defmode)
{
@@ -352,7 +352,7 @@
}
for (i = 0; i < priv->resy * priv->resx; i++)
{
- aux = (uint8_t *) ((*(tab1) << 2 ) + (uint32_t) priv->buffer);
+ aux = (uint8_t *) ((*(tab1) << 2 ) + (intptr_t) priv->buffer);
*(pix++) = *(aux++) ;
*(pix++) = *(aux++);
*(pix++) = *(aux);
@@ -373,7 +373,8 @@
/* j'ai mis pixel par defaut... */
uint8_t *pix = priv->pixel;
- uint32_t bmax,pitch_4;
+ intptr_t bmax;
+ uint32_t pitch_4;
pix = priv->pixel;
if (priv->pixel == NULL)
@@ -387,7 +388,7 @@
if (priv->video == 8)
{
if (visual_cpu_get_mmx ()) {
- bmax = priv->resx * (priv->resy-1) + (uint32_t) priv->pixel;
+ bmax = priv->resx * (priv->resy-1) + (intptr_t) priv->pixel;
#if defined(VISUAL_ARCH_X86) || defined(VISUAL_ARCH_X86_64)
__asm __volatile
("\n\t pxor %%mm6, %%mm6"
@@ -423,7 +424,7 @@
else
{
pitch_4 = priv->pitch+4;
- bmax = priv->pitch*(priv->resy-1) + (uint32_t) priv->pixel;
+ bmax = priv->pitch*(priv->resy-1) + (intptr_t) priv->pixel;
if (visual_cpu_get_mmx ()) {
#if defined(VISUAL_ARCH_X86) || defined(VISUAL_ARCH_X86_64)
This diff is collapsed.
diff -Nur libvisual-plugins-0.4.0/configure.ac libvisual-plugins-0.4.0.new/configure.ac
--- libvisual-plugins-0.4.0/configure.ac 2006-03-17 03:50:41.000000000 +1100
+++ libvisual-plugins-0.4.0.new/configure.ac 2007-07-04 18:22:38.000000000 +1000
@@ -361,7 +361,7 @@
[ENABLE_ANALYZER=$enableval],
[ENABLE_ANALYZER=yes])
-if test "$ENABLE_ANALYZER" = xyes; then
+if test "$ENABLE_ANALYZER" = "yes"; then
build_actor_plugins="$build_actor_plugins lv_analyzer"
fi
diff -Nur libvisual-plugins-0.4.0/po/Makefile.in.in libvisual-plugins-0.4.0.new/po/Makefile.in.in
--- libvisual-plugins-0.4.0/po/Makefile.in.in 2006-03-21 05:48:28.000000000 +1100
+++ libvisual-plugins-0.4.0.new/po/Makefile.in.in 2007-07-09 21:50:13.000000000 +1000
@@ -28,7 +28,7 @@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
-MKINSTALLDIRS = @MKINSTALLDIRS@
+MKINSTALLDIRS = mkinstalldirs
mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)
GMSGFMT = @GMSGFMT@
diff -Nur libvisual-plugins-0.4.0/po/mkinstalldirs libvisual-plugins-0.4.0.new/po/mkinstalldirs
--- libvisual-plugins-0.4.0/po/mkinstalldirs 1970-01-01 10:00:00.000000000 +1000
+++ libvisual-plugins-0.4.0.new/po/mkinstalldirs 2006-03-21 05:48:42.000000000 +1100
@@ -0,0 +1,111 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Public domain
+
+errstatus=0
+dirmode=""
+
+usage="\
+Usage: mkinstalldirs [-h] [--help] [-m mode] dir ..."
+
+# process command line arguments
+while test $# -gt 0 ; do
+ case $1 in
+ -h | --help | --h*) # -h for help
+ echo "$usage" 1>&2
+ exit 0
+ ;;
+ -m) # -m PERM arg
+ shift
+ test $# -eq 0 && { echo "$usage" 1>&2; exit 1; }
+ dirmode=$1
+ shift
+ ;;
+ --) # stop option processing
+ shift
+ break
+ ;;
+ -*) # unknown option
+ echo "$usage" 1>&2
+ exit 1
+ ;;
+ *) # first non-opt arg
+ break
+ ;;
+ esac
+done
+
+for file
+do
+ if test -d "$file"; then
+ shift
+ else
+ break
+ fi
+done
+
+case $# in
+ 0) exit 0 ;;
+esac
+
+case $dirmode in
+ '')
+ if mkdir -p -- . 2>/dev/null; then
+ echo "mkdir -p -- $*"
+ exec mkdir -p -- "$@"
+ fi
+ ;;
+ *)
+ if mkdir -m "$dirmode" -p -- . 2>/dev/null; then
+ echo "mkdir -m $dirmode -p -- $*"
+ exec mkdir -m "$dirmode" -p -- "$@"
+ fi
+ ;;
+esac
+
+for file
+do
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ shift
+
+ pathcomp=
+ for d
+ do
+ pathcomp="$pathcomp$d"
+ case $pathcomp in
+ -*) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp"
+
+ mkdir "$pathcomp" || lasterr=$?
+
+ if test ! -d "$pathcomp"; then
+ errstatus=$lasterr
+ else
+ if test ! -z "$dirmode"; then
+ echo "chmod $dirmode $pathcomp"
+ lasterr=""
+ chmod "$dirmode" "$pathcomp" || lasterr=$?
+
+ if test ! -z "$lasterr"; then
+ errstatus=$lasterr
+ fi
+ fi
+ fi
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# Local Variables:
+# mode: shell-script
+# sh-indentation: 2
+# End:
+# mkinstalldirs ends here
This diff is collapsed.
......@@ -2,8 +2,9 @@
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
DEB_CONFIGURE_EXTRA_FLAGS := --enable-static
DEB_CONFIGURE_EXTRA_FLAGS := --enable-static --disable-gdkpixbuf-plugin --enable-debug
install/libvisual-0.4-plugins::
find debian/libvisual-0.4-plugins -name '*.la' | xargs rm -f
......
This diff is collapsed.
This diff is collapsed.
......@@ -4,6 +4,7 @@ SUBDIRS = $(build_actor_plugins)
DIST_SUBDIRS = \
bumpscope \
corona \
G-Force \
gdkpixbuf \
gstreamer \
infinite \
......
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment